package models

type GorseItem struct {
	Categories []string `json:"Categories"`
	Comment    string   `json:"Comment"`
	IsHidden   bool     `json:"IsHidden"`
	ItemId     string   `json:"ItemId"`
	Labels     []string `json:"Labels"`
	Timestamp  string   `json:"Timestamp"`
}

type GorseFavorite struct {
	Comment      string `json:"Comment"`
	FeedbackType string `json:"FeedbackType"`
	ItemId       string `json:"ItemId"`
	Timestamp    string `json:"Timestamp"`
	UserId       string `json:"UserId"`
}

type GorseUser struct {
	Comment   string   `json:"Comment"`
	Labels    []string `json:"Labels"`
	Subscribe []string `json:"Subscribe"`
	UserId    string   `json:"UserId"`
}
